var MainBanners;    // Главный баннерный блок
var LBanners;       // Баннерный блок слева
var RBanners;       // Баннерный блок справа

$(document).ready(function () {
    // Если портал загружен в frame то переносим его в окно
    if (top != self) { top.location.href = location.href; }

    // Вставляем и убираем "значение по умалчению" в поле поиска
    $('input[id$=TextSearch]').attr('value', 'Поиск по сайту');
    $('input[id$=TextSearch]').bind({
        focus: function () {
            if ($(this).attr('value') == 'Поиск по сайту') {
                $(this).attr('value', '');
            }
        },
        blur: function () {
            if ($(this).attr('value') == '') {
                $(this).attr('value', 'Поиск по сайту');
            }
        }
    });

    $(document).keydown(function (e) {
        //alert(e.keyCode);
        if ((e.ctrlKey) && (e.keyCode == 13)) {
            var ErrorText = GetError();
            $('#ErrorText').val(ErrorText);
            $('div.ErrorText').append(ErrorText);
            $('div#ErrorForm').css('display', 'block');
        }
    });

    $('input#MsgBtnCancel').live("click", function () {
        $('#ErrorText').val();
        $('div.ErrorText').empty();
        $('div#ErrorForm').css('display', 'none');
        return false;
    });

    MainBanners = $('div#MainBannersBlock');
    LBanners = $('div#LBannersBlock');
    RBanners = $('div#RBannersBlock');
    TBanners = $('div#TBannersBlock');
    BBanners = $('div#BBannersBlock');

    // Загружаем главные баннеры
    if (MainBanners.size() != 0) {
        var _NavigateUrl = MainBanners.find('a.BannerUrl').attr('href');
        var _Content = AddContent(_NavigateUrl, 'div.BannersBlock');
        if (_Content == 'Error') MainBanners.remove();
        else MainBanners.append(_Content).find('a.BannerUrl').remove();
    }
    // Загружаем левую баннерную секцию
    if (LBanners.size() != 0) {
        var _NavigateUrl = LBanners.find('a.BannerUrl').attr('href');
        var _Content = AddContent(_NavigateUrl, 'div.BannersBlock');
        if (_Content == 'Error') LBanners.remove();
        else LBanners.append(_Content).find('a.BannerUrl').remove();
    }
    // Загружаем баннерную секцию над текстом
    if (TBanners.size() != 0) {
        var _NavigateUrl = TBanners.find('a.BannerUrl').attr('href');
        var _Content = AddContent(_NavigateUrl, 'div.BannersBlock');
        if (_Content == 'Error') TBanners.remove();
        else TBanners.append(_Content).find('a.BannerUrl').remove();
    }
    // Загружаем баннерную секцию под текстом
    if (BBanners.size() != 0) {
        var _NavigateUrl = BBanners.find('a.BannerUrl').attr('href');
        var _Content = AddContent(_NavigateUrl, 'div.BannersBlock');
        if (_Content == 'Error') BBanners.remove();
        else BBanners.append(_Content).find('a.BannerUrl').remove();
    }
    // Загружаем правую баннерную секцию
    if (RBanners.size() != 0) {
        var _NavigateUrl = RBanners.find('a.BannerUrl').attr('href');
        var _Content = AddContent(_NavigateUrl, 'div.BannersBlock');
        if (_Content == 'Error') LBanners.remove();
        else RBanners.append(_Content).find('a.BannerUrl').remove();
    }

    // Раскрывает карту сайта
    $('div.SiteMap div.dir img').live("click", function () {
        var $Block = $(this).parent();
        var _link = $(this).attr('title');
        var _BranchCount = $Block.children('div.BulletedList').length;

        if (_BranchCount > 0) {
            if ($Block.children('div.BulletedList').css('display') == 'block') $Block.children('div.BulletedList').css('display', 'none');
            else $Block.children('div.BulletedList').css('display', 'block');
        }
        else { $Block.append(AddContent(_link, 'div.BulletedList')); }
    });

    $('div.Question input').bind({
        change: function () {
            if ($(this).attr('class') != 'YourCheck' && $(this).attr('class') != 'YourRadio') {
                var temp1;
                var temp = $(this).val() + ';';
                var qwer = $('input#ContentBody_Hidden').val();
                if ($(this).attr('checked')) {
                    if ($(this).attr('type') == "radio") {
                        $(this).parents('div.QuestionItem').find('input[type="radio"]').each(function () {
                            var t = $(this).val();
                            if (t == 'YourRadio') { qwer = qwer.replace(t, ''); }
                            else { qwer = qwer.replace(t + ';', ''); }
                        });
                    }
                    if (temp != 'YourRadio;' && temp != 'YourCheck;') {
                        $('input#ContentBody_Hidden').val(qwer + temp);
                        if ($(this).attr('type') == "radio") {
                            var id = $(this).parents('div.QuestionItem').attr('id') + "|";
                            var r = $('input#YourAnswerHidden').val();
                            var pos = r.indexOf(id);
                            var pos1 = r.indexOf(';', pos);
                            if (pos > -1) var q = r.substring(pos, pos1 + 1);
                            $('input#YourAnswerHidden').val(r.replace(q, ""));
                            //alert(pos+ " | " + pos1);
                        }
                    }
                    else {
                        $('input#ContentBody_Hidden').val(qwer.replace(temp, ''));

                    }
                }
                else {
                    $('input#ContentBody_Hidden').val(qwer.replace(temp, ''));
                }
            }

            var qwerty = '';
            $('div.QuestionItem[title="Important"]').each(function () {
                if ($(this).find('input:checked').length > 0) { }
                else {
                    qwerty = 'Ошибка';
                    //alert(qwerty + " | " + $(this).find('input:checked').length);
                    return false;
                }
            });

            if (qwerty == '') { $('input#ContentBody_BtnSend').removeAttr('disabled'); }
            else { $('input#ContentBody_BtnSend').attr('disabled', 'disabled'); }
        }
    });

    $('div.Question input[value="YourCheck"]').bind({
        change: function () {
            var text = $(this).parents('div.QuestionItem').find('input[type="text"]').val() + ";";
            var id = $(this).parents('div.QuestionItem').attr('id') + "|";
            var answer = $('input#YourAnswerHidden').val();
            var temp = id + text;
            if ($(this).attr('checked')) {
                $('input#YourAnswerHidden').val(answer + temp);
                $(this).parents('div.QuestionItem').find('input[type="text"]').change(function () {
                    answer = $('input#YourAnswerHidden').val();
                    var text1 = id + $(this).parents('div.QuestionItem').find('input[type="text"]').val() + ";";
                    answer = answer.replace(temp, text1);
                    $('input#YourAnswerHidden').val(answer);
                    temp = text1;
                });
            }
            else {
                $('input#YourAnswerHidden').val(answer.replace(temp, ""));
            }
        }
    });
    $('div.Question input[value="YourRadio"]').bind({
        change: function () {
            var text = $(this).parents('div.QuestionItem').find('input[type="text"]').val() + ";";
            var id = $(this).parents('div.QuestionItem').attr('id') + "|";
            var answer = $('input#YourAnswerHidden').val();
            var temp = id + text;
            if ($(this).attr('checked')) {
                $('input#YourAnswerHidden').val(answer + temp);
                //alert(answer);
                $(this).parents('div.QuestionItem').find('input[type="text"]').change(function () {
                    answer = $('input#YourAnswerHidden').val();
                    var text1 = id + $(this).parents('div.QuestionItem').find('input[type="text"]').val() + ";";
                    answer = answer.replace(temp, text1);
                    $('input#YourAnswerHidden').val(answer);
                    temp = text1;
                });
            }
            else {
                $('input#YourAnswerHidden').val(answer.replace(temp, ""));
            }
        }
    });


});

$('div.PlayListItem a').bind('click', function () { return false; });
$('div.PlayListItem').bind('click', function () {
//    var video = $(this).find('a.LI_Caption').attr('href');
//    var image = $(this).find('a.LI_Imege img').attr('src');
//    var basefile = $(this).find('div.BaseUrlFile a').attr('href');
//    var baseprev = $(this).find('div.BaseUrlPrev a').attr('href');
//    var title = $(this).find('a.LI_Caption').text();
//    $('div.VideoPlayer').find('video').remove();
//    $('div.VideoPlayer').find('div.VideoName').remove();

//    var temp = "<div class=\"yes\">";

//    var _VideoString = "<video id=\"player\" width=\"500\" controls=\"controls\"  poster=\"" + image + "\">";
//    // HTML5 + MP4
//    _VideoString += "<source id=\"video_mp4\" src=\"" + video + "\" type='video/mp4; codecs=\"avc1.42E01E, mp4a.40.2\"'>";
//    // HTML5 - MP4 (WEBM)
//    _VideoString += "<source id=\"video_webm\" src=\"" + video.replace(".mp4", ".webm") + "\" type='video/webm'>";
//    //        // FLV
//    _VideoString += "<object width=\"500\" height=\"auto\" name=\"player\">";
//    _VideoString += "<param name=\"movie\" value=\"/VideoConverter/mediaplayer.swf\">";
//    _VideoString += "<param name=\"wmode\" value=\"opaque\">";
//    _VideoString += "<param name=\"flashvars\" value=\"file=" + basefile + "&image=" + baseprev + "&title=sdf\">";
//    _VideoString += "<embed type=\"application/x-shockwave-flash\"width=\"500\" height=\"auto\" name=\"player\" src=\"/VideoConverter/mediaplayer.swf\" flashvars=\"file=" + basefile + "&image=" + baseprev + "&title=sdf\" wmode=\"opaque\">";
//    _VideoString += "</object>";
//    //        // Для скачивания
//    _VideoString += "<br />Для воспроизведения видео требуется браузер с поддержкой HTML5 или Adobe Flash<br />Если вы не можете просмотреть видео на этой странице, скачайте его. <a href=\"" + basefile.replace("../", "") + "\">Скачать видео</a>.";
//    _VideoString += "</video>";
//    _VideoString += "<div class=\"VideoName\">" + title + "</div>";

//    $('div.VideoPlayer').append(_VideoString);
    //        
    return false;
});

$('div.FiltrBlock div.FiltrBtn').live("click", function () {
    $(this).parents().addClass('See');
});
$('div.FiltrBlock.See div.FiltrBtn').live("click", function () {
    $(this).parents().removeClass('See');
});

$('div.DataFiltrDop span').live("click", function () {
    $('div.DataFiltrDop span').css('color', '#424242');
    $(this).css('color', 'red');
    var myMonth = ['01','02','03','04','05','06','07','08','09','10','11','12'];
    
    var _SDate;
    var _EDate = viewDate(0);

    var _period = $(this).attr('title');
    if (_period == 'day') { _SDate = viewDate(-1); }
    else if (_period == 'week') { _SDate = viewDate(-7); }
    else if (_period == 'manth') { _SDate = viewDate(-30); }
    else if (_period == 'year') { _SDate = viewDate(-365); }

    var SDay = (_SDate.getDate() < 10) ? '0' + _SDate.getDate() : _SDate.getDate();
    var SManth = myMonth[_SDate.getMonth()];
    var SYear = _SDate.getFullYear();
    var EDay = (_EDate.getDate() < 10) ? '0' + _EDate.getDate() : _EDate.getDate();
    var EManth = myMonth[_EDate.getMonth()];
    var EYear = _EDate.getFullYear();
    
    $('div.DataFiltr input[id=ContentBody_StartDate_TextFild]').val(SDay + '.' + SManth + '.' + SYear);
    $('div.DataFiltr input[id=ContentBody_EndDate_TextFild]').val(EDay + '.' + EManth + '.' + EYear);
});

function GetError() {
    var selectText;

    if (window.getSelection) { selectText = window.getSelection().toString(); }
    else if (document.getSelection) { selectText = document.getSelection(); }
    else if (document.selection) { selectText = document.selection.createRange().text; }
    return selectText;
}

// Загружаем дополнительный контент с помощью AJAX
function AddContent(_ContentUrl, Object) {
    var Content = null;
    if (_ContentUrl != null) {
        $.ajax({
            async: false,
            url: _ContentUrl,
            error: function () {
                Content = 'Error';
            },
            success: function (data) {
                Content = $(data).find(Object);
            }
        });

    }
    return Content;
};

// Перехват нажатия клавиш клавиатуры
$(window).keydown(function (e) {
    //alert(e.keyCode);
    if (e.keyCode == 13) {
        if ($('div.FiltrBlock.See').size()) $('input#ContentBody_AddFiltr').trigger('click');
        else if ($('div.SerchText').vlue() != 'Поиск по сайту') $('input.SerchBtn').trigger('click');
    }
});


function viewDate(n)
{
    var nowe = new Date();
    var noweMili = nowe.getTime(); // количество милисекунд до текущего момента
 
    var nowePlus = new Date(1000*60*60*24*n); // количество дней до текущего момента + n
    var mili = nowePlus.getTime();
 
    var summaMili = noweMili + mili; // количество дней, которые пройдут до нужного нам момента
    var itog = new Date(summaMili);

    return itog;
};